> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dwe.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Logs



## OpenAPI

````yaml https://github.com/DeepwaterExploration/dweOS/releases/latest/download/openapi.json get /api/logs
openapi: 3.1.0
info:
  title: DWE OS API
  description: API for DWE OS
  version: 0.1.0
servers: []
security: []
paths:
  /api/logs:
    get:
      tags:
        - logs
      summary: Get Logs
      operationId: get_logs_api_logs_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/LogSchema'
                type: array
                title: Response Get Logs Api Logs Get
components:
  schemas:
    LogSchema:
      properties:
        timestamp:
          type: string
          title: Timestamp
        level:
          type: string
          title: Level
        name:
          type: string
          title: Name
        filename:
          type: string
          title: Filename
        lineno:
          type: integer
          title: Lineno
        function:
          type: string
          title: Function
        message:
          type: string
          title: Message
      type: object
      required:
        - timestamp
        - level
        - name
        - filename
        - lineno
        - function
        - message
      title: LogSchema

````